View Issue Details

IDProjectCategoryView StatusLast Update
0000608HTML & PERLFeature Request - Interfacepublic2016-02-21 01:48
Reporterguillep2k Assigned ToDerIdiot  
PrioritynormalSeverityfeatureReproducibilityalways
Status resolvedResolutionfixed 
Product Version 
Target VersionFixed in Version 
Summary0000608: Enhance hint output and filters
DescriptionFor anime hint, it would be great to have its output similar to that of the mylist page, i.e., each [owned] anime with the number of episodes, a [+] to expand episodes, the global rating, the user's rating, reviews, storage state, action checkbox, etc.

Since it would be too long to reload the hint page every time we click on a [+] to expand episodes, we could limit this feature to only those anime the user has. If the user clicks on the [+], the page would redirect to animedb.pl?show=mylist&expand=XXXXX&showfiles=1&char=y. It would be similar for the action checkbox (which could allow actions like "add to wishlist").

Finally, in the filter options, a filter that permits to include all anime not watched *entirely*; i.e., those anime the user has all or some pending episodes to be seen.

The initial goal for this request is to use anime hint to keep track of unwatched anime, in a similar but much more powerful way than the mylist page. Read this forum thread for details:

http://www.anidb.net/forum/viewtopic.php?t=5930
Additional Informationhttp://www.anidb.net/forum/viewtopic.php?t=5930
TagsNo tags attached.

Relationships

related to 0000404 resolvedDerIdiot further filteroption for the watched filter (hint) 

Activities

There are no notes attached to this issue.

Issue History

Date Modified Username Field Change
2007-03-27 09:09 guillep2k New Issue
2007-03-27 09:09 guillep2k Status new => assigned
2007-03-27 09:09 guillep2k Assigned To => egg
2016-01-12 01:05 DerIdiot Assigned To egg =>
2016-01-12 01:05 DerIdiot Status assigned => new
2016-01-12 01:06 DerIdiot Relationship added related to 0000404
2016-01-12 01:09 DerIdiot Project Anime Hint => HTML & PERL
2016-01-12 01:09 DerIdiot Category Feature Request => Feature Request - Interface
2016-02-21 01:48 DerIdiot Status new => resolved
2016-02-21 01:48 DerIdiot Resolution open => fixed
2016-02-21 01:48 DerIdiot Assigned To => DerIdiot